Return.clean {PerformanceAnalytics} | R Documentation

## clean returns in a time series to to provide more robust risk estimates

### Description

A function that provides access to multiple methods for cleaning outliers from return data.

### Usage

    Return.clean(R, method = c("none", "boudt", "geltner"), alpha = 0.01,
      ...)

### Arguments

`R` | an xts, vector, matrix, data frame, timeSeries or zoo object of asset returns
`method` | one of "none", "boudt", which applies the function `clean.boudt` or "geltner" which applies the function `Return.Geltner`to R
`alpha` | the percentage of outliers you want to clean
`...` | additional parameters passed into the underlying cleaning function

### Details

This is a wrapper for offering multiple data cleaning methods for data objects containing returns.

The primary value of data cleaning lies in creating a more robust and stable estimation of the distribution generating the large majority of the return data. The increased robustness and stability of the estimated moments using cleaned data should be used for portfolio construction. If an investor wishes to have a more conservative risk estimate, cleaning may not be indicated for risk monitoring.

In actual practice, it is probably best to back-test the results of both cleaned and uncleaned series to see what works best when forecasting risk with the particular combination of assets under consideration.

In this version, only one method is supported. See `clean.boudt` for more details.

### Author(s)

Peter Carl

### See Also

`clean.boudt`
`Return.Geltner`

### Examples

    data(managers)
    head(Return.clean(managers[,1:4]),n=20)
    chart.BarVaR(managers[,1,drop=FALSE], show.clean=TRUE, clean="boudt", lwd=2, methods="ModifiedVaR")

[Package PerformanceAnalytics version 1.5.3 Index]